Loading...
Searching...
No Matches
Magick::DrawableClipPath Class Reference
Inheritance diagram for Magick::DrawableClipPath:

## Public Member Functions

| DrawableClipPath (const std::string &id_)
| DrawableClipPath (const DrawableClipPath &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | clip_path (const std::string &id_)
std::string | clip_path (void) const

## Private Attributes

std::string | _id

## Detailed Description

Definition at line 578 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableClipPath() [1/2]

Magick::DrawableClipPath::DrawableClipPath | ( | const std::string & | id_ | ) |

Definition at line 435 of file Drawable.cpp.

:_id(id_.c_str())
{
}

## DrawableClipPath() [2/2]

Magick::DrawableClipPath::DrawableClipPath | ( | const DrawableClipPath & | original_ | ) |

Definition at line 440 of file Drawable.cpp.

: DrawableBase (original_),
_id(original_._id.c_str())
{
}

## ~DrawableClipPath()

Magick::DrawableClipPath::~DrawableClipPath | ( | void |  | ) |

Definition at line 445 of file Drawable.cpp.

{
}

## Member Function Documentation

## clip_path() [1/2]

void Magick::DrawableClipPath::clip_path | ( | const std::string & | id_ | ) |

inline

Definition at line 592 of file Drawable.h.

{
_id = id_.c_str(); //multithread safe
}

## clip_path() [2/2]

std::string Magick::DrawableClipPath::clip_path | ( | void |  | ) | const

inline

Definition at line 596 of file Drawable.h.

{
return _id;
}

## copy()

Magick::DrawableBase * Magick::DrawableClipPath::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 452 of file Drawable.cpp.

{
return new DrawableClipPath(*this);
}

## operator()()

void Magick::DrawableClipPath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 448 of file Drawable.cpp.

{
(void) DrawSetClipPath( context_, _id.c_str());
}

## Field Documentation

## _id

std::string Magick::DrawableClipPath::_id

private

Definition at line 602 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp